Executive Summary

Summary
Title KDE library vulnerability
Informations
NameUSN-420-1First vendor Publication2007-02-06
VendorUbuntuLast vendor Modification2007-02-06
Severity (Vendor) N/ARevisionN/A

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:H/Au:N/C:N/I:P/A:N)
Cvss Base Score2.6Attack RangeNetwork
Cvss Impact Score2.9Attack ComplexityHigh
Cvss Expoit Score4.9AuthenticationNone Required
Calculate full CVSS 2.0 Vectors scores

Detail

A security issue affects the following Ubuntu releases:

Ubuntu 5.10
Ubuntu 6.06 LTS
Ubuntu 6.10

This advisory also applies to the corresponding versions of
Kubuntu, Edubuntu, and Xubuntu.

The problem can be corrected by upgrading your system to the
following package versions:

Ubuntu 5.10:
kdelibs4c2 4:3.4.3-0ubuntu2.2

Ubuntu 6.06 LTS:
kdelibs4c2a 4:3.5.2-0ubuntu18.2

Ubuntu 6.10:
kdelibs4c2a 4:3.5.5-0ubuntu3.1

After a standard system upgrade you need to restart your session to
effect the necessary changes.

Details follow:

Jose Avila III and Robert Tasarz discovered that the KDE HTML library
did not correctly parse HTML comments inside the "title" tag. By
tricking a Konqueror user into visiting a malicious website, an attacker
could bypass cross-site scripting protections.


Original Source

Url : http://www.ubuntu.com/usn/USN-420-1

CWE : Common Weakness Enumeration

idName
CWE-79Failure to Preserve Web Page Structure ('Cross-site Scripting')

OVAL Definitions

Definition Id: oval:org.mitre.oval:def:10244
 
Oval ID: oval:org.mitre.oval:def:10244
Title: The KDE HTML library (kdelibs), as used by Konqueror 3.5.5, does not properly parse HTML comments, which allows remote attackers to conduct cross-site scripting (XSS) attacks and bypass some XSS protection schemes by embedding certain HTML tags within a comment in a title tag, a related issue to CVE-2007-0478.
Description: The KDE HTML library (kdelibs), as used by Konqueror 3.5.5, does not properly parse HTML comments, which allows remote attackers to conduct cross-site scripting (XSS) attacks and bypass some XSS protection schemes by embedding certain HTML tags within a comment in a title tag, a related issue to CVE-2007-0478.
Family: unix Class: vulnerability
Reference(s): CVE-2007-0537
Version: 5
Platform(s): Red Hat Enterprise Linux 4
CentOS Linux 4
Oracle Linux 4
Red Hat Enterprise Linux 5
CentOS Linux 5
Oracle Linux 5
Product(s):
Definition Synopsis:

CPE : Common Platform Enumeration

TypeDescriptionCount
Application1

OpenVAS Exploits

DateDescription
2009-10-10Name : SLES9: Security update for kdelibs3
File : nvt/sles9p5011006.nasl
2009-04-09Name : Mandriva Update for kdelibs MDKSA-2007:031 (kdelibs)
File : nvt/gb_mandriva_MDKSA_2007_031.nasl
2009-03-23Name : Ubuntu Update for kdelibs vulnerability USN-420-1
File : nvt/gb_ubuntu_USN_420_1.nasl
2008-09-24Name : Gentoo Security Advisory GLSA 200703-10 (kdelibs)
File : nvt/glsa_200703_10.nasl

Open Source Vulnerability Database (OSVDB)

idDescription
32975KDE Konqueror KDE HTML library (kdelibs) HTML Parsing XSS

Nessus® Vulnerability Scanner

DateDescription
2013-07-12Name : The remote Oracle Linux host is missing one or more security updates.
File : oraclelinux_ELSA-2007-0909.nasl - Type : ACT_GATHER_INFO
2012-08-01Name : The remote Scientific Linux host is missing one or more security updates.
File : sl_20071008_kdelibs_on_SL5_x.nasl - Type : ACT_GATHER_INFO
2009-04-23Name : The remote Mandrake Linux host is missing one or more security updates.
File : mandrake_MDKSA-2007-157.nasl - Type : ACT_GATHER_INFO
2007-12-13Name : The remote SuSE 10 host is missing a security-related patch.
File : suse_kdelibs3-3053.nasl - Type : ACT_GATHER_INFO
2007-11-10Name : The remote Ubuntu host is missing one or more security-related patches.
File : ubuntu_USN-420-1.nasl - Type : ACT_GATHER_INFO
2007-10-17Name : The remote SuSE system is missing the security patch kdelibs3-3058
File : suse_kdelibs3-3058.nasl - Type : ACT_GATHER_INFO
2007-10-12Name : The remote CentOS host is missing one or more security updates.
File : centos_RHSA-2007-0909.nasl - Type : ACT_GATHER_INFO
2007-10-09Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2007-0909.nasl - Type : ACT_GATHER_INFO
2007-03-12Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-200703-10.nasl - Type : ACT_GATHER_INFO
2007-02-18Name : The remote Mandrake Linux host is missing one or more security updates.
File : mandrake_MDKSA-2007-031.nasl - Type : ACT_GATHER_INFO

Alert History

If you want to see full details history, please login or register.
0
DateInformations
2014-02-17 12:04:09
  • Multiple Updates